Runs
List runs
List executions.
GET
/
v1
/
executions
List runs
curl --request GET \
--url https://api.getmillwork.dev/v1/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"cancelled_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"links": {
"events": "<string>",
"receipt": "<string>",
"status": "<string>"
},
"mode": "live",
"slices": [
{
"capability": "<string>",
"slice_id": "<string>",
"status": "accepted"
}
],
"status": "accepted"
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Available options:
accepted, queued, running, progress, completed, failed, cancelled, expired Required range:
1 <= x <= 200⌘I
List runs
curl --request GET \
--url https://api.getmillwork.dev/v1/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"cancelled_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"links": {
"events": "<string>",
"receipt": "<string>",
"status": "<string>"
},
"mode": "live",
"slices": [
{
"capability": "<string>",
"slice_id": "<string>",
"status": "accepted"
}
],
"status": "accepted"
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}